#:kivy 1.0
WindowManager:
    MainWindow:
    NeverHaveIEverMainWindow:
    NeverHaveIEverRulesWindow:
    NeverHaveIEverWindow:
    ProcjeneMainWindow:
    ProcjeneRulesWindow:
    ProcjenePitanjeWindow:
    ProcjeneOdgovorWindow:
    KategorijeMainWindow:
    KategorijeRulesWindow:
    KategorijeWindow:
    AliasMainWindow:
    AliasWindow:
    AliasWindowPairs:
    AliasRulesWindow:
    AritmetikaMainWindow:
    AritmetikaWindow:
    AritmetikaRulesWindow:
    


<MainWindow>:
    name: "main"

    BoxLayout:
        orientation: "vertical"
        spacing: 10
        
        Label:
            text:"Nova igra"
            font_size: 50
            
        TextInput:
            id: nadimciInput
            hint_text:'Upiši nadimke igrača, svakog u novi red'
            pos_hint: {'center_x': 0.5, 'center_y': 0.705}
            size_hint: 0.95, 0.5
            on_text:
                self.text = app.obradaNadimaka(self.text)

    
        Button:
            text: "Kreni"
            size_hint:(0.3, 0.1)
            pos_hint:{'center_x': .5, 'center_y': .5}
            on_release:
                app.uploadajNadimke(nadimciInput.text)
                app.root.current = app.sljedeca_igra()
                root.manager.transition.direction = "right"



                
<NeverHaveIEverMainWindow>:
    name: "neverHaveIEverMain"

    BoxLayout:
        orientation: "vertical"
        spacing: 10
        
        Label:
            text:"Never have I ever"
            font_size: 50
            
        Button:
            text: "Kreni"
            size_hint:(0.3, 0.1)
            pos_hint:{'center_x': .5, 'center_y': .5}
            on_release:
                app.root.current = "neverHaveIEver"
                root.manager.transition.direction = "left"
                app.nova_recenica(nova_igra = True)

        Button:
            text: "Pravila"
            size_hint:(0.3, 0.1)
            pos_hint:{'center_x': .5, 'center_y': .5}
            on_release:
                app.root.current = "neverHaveIEverRules" 
                root.manager.transition.direction = "left"


<NeverHaveIEverRulesWindow>:
    name: "neverHaveIEverRules"
    
    BoxLayout:
        orientation: "vertical"
        spacing: 10
        
        Label:
            text:"Never have I ever"
            font_size: 50
            
        
        Label:
            text: "Dobit ćete rečenice. Piju svi koji su nekad to napravili."
            font_size: 30
            
            
        Button:
            text: "Kreni"
            size_hint:(0.3, 0.1)
            pos_hint:{'center_x': .5, 'center_y': .5}
            on_release:
                app.root.current = "neverHaveIEver"
                root.manager.transition.direction = "left"
                app.nova_recenica(nova_igra = True)
                
<NeverHaveIEverWindow>:
    name: "neverHaveIEver"
    
    BoxLayout:
        orientation: "vertical"
        spacing: 10
        
        Label: 
            text:"Never have i ever"
            font_size: 30
            
        Label:
            text: app.recenica
            font_size: 50
            
        
        Button:
            text: "Dalje"
            size_hint:(0.3, 0.1)
            pos_hint:{'center_x': .5, 'center_y': .5}
            on_release:
                app.root.current = "neverHaveIEver"
                root.manager.transition.direction = "left"
                app.nova_recenica()
                
<ProcjeneMainWindow>:
    name: "procjeneMain"

    BoxLayout:
        orientation: "vertical"
        spacing: 10
        
        Label:
            text:"Procjene"
            font_size: 50
            
        Button:
            text: "Kreni"
            size_hint:(0.3, 0.1)
            pos_hint:{'center_x': .5, 'center_y': .5}
            on_release:
                app.root.current = "procjenePitanje"
                root.manager.transition.direction = "left"
                app.nova_procjena(nova_igra = True)

        Button:
            text: "Pravila"
            size_hint:(0.3, 0.1)
            pos_hint:{'center_x': .5, 'center_y': .5}
            on_release:
                app.root.current = "procjeneRules" 
                root.manager.transition.direction = "left"

<ProcjeneRulesWindow>:
    name: "procjeneRules"
    
    BoxLayout:
        orientation: "vertical"
        spacing: 10
        
        Label:
            text:"Procjene"
            font_size: 50
            
        
        Label:
            text: "Dobit ćete pitanje na koje je odgovor broj. Svatko treba zapisati svoju procjenu. Tko je najbliže dodjeljuje tri pića."
            font_size: 30
            
            
        Button:
            text: "Kreni"
            size_hint:(0.3, 0.1)
            pos_hint:{'center_x': .5, 'center_y': .5}
            on_release:
                app.root.current = "procjenePitanje"
                root.manager.transition.direction = "left"
                app.nova_procjena(nova_igra = True)
                
<ProcjenePitanjeWindow>:
    name: "procjenePitanje"
    
    BoxLayout:
        orientation: "vertical"
        spacing: 10
        
        Label: 
            text: app.zadatak
            font_size: 30
            
        Button:
            text: "Odgovor"
            size_hint:(0.3, 0.1)
            pos_hint:{'center_x': .5, 'center_y': .5}
            on_release:
                app.root.current = "procjeneOdgovor"


<ProcjeneOdgovorWindow>:
    name: "procjeneOdgovor"
    
    BoxLayout:
        orientation: "vertical"
        spacing: 10
        
        Label: 
            text: app.zadatak
            font_size: 30
            
        Label:
            text: app.odgovor
            font_size: 50
                
        Button:
            text: "Dalje"
            size_hint:(0.3, 0.1)
            pos_hint:{'center_x': .5, 'center_y': .5}
            on_release:
                app.root.current = "procjenePitanje"
                app.nova_procjena()
                
<KategorijeMainWindow>:
    name: "kategorijeMain"

    BoxLayout:
        orientation: "vertical"
        spacing: 10
        
        Label:
            text:"Kategorije"
            font_size: 50
            
        Button:
            text: "Kreni"
            size_hint:(0.3, 0.1)
            pos_hint:{'center_x': .5, 'center_y': .5}
            on_release:
                app.root.current = "kategorije"
                root.manager.transition.direction = "left"
                app.nova_kategorija(nova_igra = True)

        Button:
            text: "Pravila"
            size_hint:(0.3, 0.1)
            pos_hint:{'center_x': .5, 'center_y': .5}
            on_release:
                app.root.current = "kategorijeRules" 
                root.manager.transition.direction = "left"
                
<KategorijeRulesWindow>:
    name: "kategorijeRules"
    
    BoxLayout:
        orientation: "vertical"
        spacing: 10
        
        Label:
            text:"Procjene"
            font_size: 50
            
        
        Label:
            text: "Dobit ćete kategoriju. U krug nabrajate elemente koji pripadaju toj kategoriji.\nBit će zadano koji igrač počinje.\nTko fula ili predugo razmišlja pije."
            font_size: 10
            
            
        Button:
            text: "Kreni"
            size_hint:(0.3, 0.1)
            pos_hint:{'center_x': .5, 'center_y': .5}
            on_release:
                app.root.current = "kategorije"
                root.manager.transition.direction = "left"
                app.nova_kategorija(nova_igra = True)
                
<KategorijeWindow>:
    name: "kategorije"
    
    BoxLayout:
        orientation: "vertical"
        spacing: 10
        
        Label: 
            text:"Kategorija: " + app.kategorija
            font_size: 30
            
        Label:
            text: "kreće " + app.igrac
            font_size: 50
            
        
        Button:
            text: "Dalje"
            size_hint:(0.3, 0.1)
            pos_hint:{'center_x': .5, 'center_y': .5}
            on_release:
                app.root.current = "kategorije"
                root.manager.transition.direction = "left"
                app.nova_kategorija()

<AliasMainWindow>:
    name: "aliasMain"

    BoxLayout:
        orientation: "vertical"
        spacing: 10
        
        Label:
            text:"Alias"
            font_size: 50
            
        Button:
            text: "Kreni"
            size_hint:(0.3, 0.1)
            pos_hint:{'center_x': .5, 'center_y': .5}
            on_release:
                app.root.current = "aliasPairs"
                root.manager.transition.direction = "left"
                app.generirajParove(nova_igra = True)

        Button:
            text: "Pravila"
            size_hint:(0.3, 0.1)
            pos_hint:{'center_x': .5, 'center_y': .5}
            on_release:
                app.root.current = "aliasPairs" 
                root.manager.transition.direction = "left"
<AliasWindowPairs>:
    name: "aliasPairs"
    
    BoxLayout:
        orientation: "vertical"
        spacing: 10
        
            
        Label:
            text: "Par 1:\n\n" "objašnjava:" + app.igrac_objasnjava_par1 + "\npogađa:" + app.igrac_pogadja_par1
            font_size: 50
        Label:
            text: "Par 2:\n\n" "objašnjava:" + app.igrac_objasnjava_par2 + "\npogađa:" + app.igrac_pogadja_par2
            font_size: 50
            
        
        Button:
            text: "Započni igru"
            size_hint:(0.3, 0.1)
            pos_hint:{'center_x': .5, 'center_y': .5}
            on_release:
                app.root.current = "alias"
                root.manager.transition.direction = "left"
                app.nova_rijec()

<AliasWindow>:
    name: "alias"
    
    BoxLayout:
        orientation: "vertical"
        spacing: 10
        
        Label: 
            text:"Riječ:\n\n" + app.rijec
            font_size: 50

            
        Button:
            text: "Dalje"
            size_hint:(0.3, 0.1)
            pos_hint:{'center_x': .5, 'center_y': .5}
            on_release:
                app.root.current = "alias"
                root.manager.transition.direction = "left"
                app.nova_rijec()

<AliasRulesWindow>:
    name: "aliasRules"
    
    BoxLayout:
        orientation: "vertical"
        spacing: 10
        
        Label:
            text:"Alias"
            font_size: 50
            
        
        Label:
            text: "Pravila za alias"
            font_size: 10
            
            
        Button:
            text: "Kreni"
            size_hint:(0.3, 0.1)
            pos_hint:{'center_x': .5, 'center_y': .5}
            on_release:
                app.root.current = "aliasMain"
                root.manager.transition.direction = "left"
                app.nova_rijec(nova_igra = True)

<AritmetikaMainWindow>:
    name: "aritmetikaMain"

    BoxLayout:
        orientation: "vertical"
        spacing: 10
        
        Label:
            text:"Aritmetika"
            font_size: 50
            
        Button:
            text: "Kreni"
            size_hint:(0.3, 0.1)
            pos_hint:{'center_x': .5, 'center_y': .5}
            on_release:
                app.root.current = "aritmetika"
                root.manager.transition.direction = "left"
                

        Button:
            text: "Pravila"
            size_hint:(0.3, 0.1)
            pos_hint:{'center_x': .5, 'center_y': .5}
            on_release:
                app.root.current = "aritmetika" 
                root.manager.transition.direction = "left"
                

<AritmetikaWindow>:
    name: "aritmetika"
    on_enter: app.upd_ltxt()
    BoxLayout:
        orientation: "vertical"
        spacing: 10
        
        Label: 
            text:"Izraz:\n\n" + app.izraz 
            font_size: 50

            

